cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
833
Views
0
Helpful
3
Replies
Beginner

ACI Programmability Options- Devnet Lab- Stuck on Step 1 :(

Hi all,

I'm stuck with a problem on ACI Programmability Options lab, section APIC Sandbox Environment Setup:

https://learninglabs.cisco.com/modules/intro-to-aci/sbx-intro-aci-02_programmability-options/step/1

It says:

##################################################################

# From within the correct virtual environment (venv) apic_fabric_setup\ $ python baseline.py

# Expected Output

Baselining APIC Simulator for Learning Labs

Setting up Fabric Nodes

Configuring Fabric Policies

Setting up Common Tenant

Setting up Heroes Tenant

Setting up SnV Tenant

##################################################################

But my output is:

(venv) C:\workingdir\aci-learning-labs-code-samples\apic_fabric_setup>python baseline.py

Traceback (most recent call last):

  File "baseline.py", line 11, in <module>

    import startup_script

  File "C:\workingdir\aci-learning-labs-code-samples\apic_fabric_setup\startup_script.py", line 3, in <module>

    import cobra.mit.access

  File "c:\workingdir\aci-learning-labs-code-samples\venv\lib\site-packages\acicobra-3.0_1k-py2.7.egg\cobra\mit\__init__.py", line 2, in <module>

    from ._mit import Mit

  File "c:\workingdir\aci-learning-labs-code-samples\venv\lib\site-packages\acicobra-3.0_1k-py2.7.egg\cobra\mit\_mit.py", line 3, in <module>

    from .naming import Dn

  File "c:\workingdir\aci-learning-labs-code-samples\venv\lib\site-packages\acicobra-3.0_1k-py2.7.egg\cobra\mit\naming.py", line 4, in <module>

    from cobra.mit.meta import ClassLoader

  File "c:\workingdir\aci-learning-labs-code-samples\venv\lib\site-packages\acicobra-3.0_1k-py2.7.egg\cobra\mit\meta.py", line 82

    self.writeAccessMask = 0L

                            ^

SyntaxError: invalid syntax

##################################################################

** I have followed the How To Setup Your Own Computer steps , and did notice some issues when I installed the acicobra and acimodel eggs, but both packages show up when I do a pip freeze so I thought it might be ok, but perhaps this is what is causing my error?

##################################################################

Below is what I got when installing the acicobra and acimodel eggs:

##################################################################

(venv) C:\workingdir\aci-learning-labs-code-samples\downloads>dir

Volume in drive C is OSDisk

Volume Serial Number is 52FA-BDC4

Directory of C:\workingdir\aci-learning-labs-code-samples\downloads

05/22/2018  02:29 PM    <DIR>          .

05/22/2018  02:29 PM    <DIR>          ..

05/22/2018  02:26 PM            92,412 acicobra-3.0_1k-py2.7.egg

05/22/2018  02:27 PM        98,170,955 acimodel-3.0_1k-py2.7.egg

               2 File(s)     98,263,367 bytes

               2 Dir(s)  128,041,852,928 bytes free

(venv) C:\workingdir\aci-learning-labs-code-samples\downloads>easy_install -Z acicobra-3.0_1k-py2.7.egg

Processing acicobra-3.0_1k-py2.7.egg

creating c:\workingdir\aci-learning-labs-code-samples\venv\lib\site-packages\acicobra-3.0_1k-py2.7.egg

Extracting acicobra-3.0_1k-py2.7.egg to c:\workingdir\aci-learning-labs-code-samples\venv\lib\site-packages

  File "c:\workingdir\aci-learning-labs-code-samples\venv\lib\site-packages\acicobra-3.0_1k-py2.7.egg\cobra\mit\meta.py", line 82

    self.writeAccessMask = 0L

                            ^

SyntaxError: invalid syntax

Adding acicobra 3.0-1k to easy-install.pth file

Installed c:\workingdir\aci-learning-labs-code-samples\venv\lib\site-packages\acicobra-3.0_1k-py2.7.egg

Processing dependencies for acicobra===3.0-1k

Searching for acicobra===3.0-1k

Reading https://pypi.org/simple/acicobra/

Couldn't find index page for 'acicobra' (maybe misspelled?)

Scanning index of all packages (this may take a while)

Reading https://pypi.org/simple/

No local packages or working download links found for acicobra===3.0-1k

error: Could not find suitable distribution for Requirement.parse('acicobra===3.0-1k')

(venv) C:\workingdir\aci-learning-labs-code-samples\downloads>easy_install -Z acicobra-3.0_1k-py2.7.egg

Processing acicobra-3.0_1k-py2.7.egg

removing 'c:\workingdir\aci-learning-labs-code-samples\venv\lib\site-packages\acicobra-3.0_1k-py2.7.egg' (and everything under it)

creating c:\workingdir\aci-learning-labs-code-samples\venv\lib\site-packages\acicobra-3.0_1k-py2.7.egg

Extracting acicobra-3.0_1k-py2.7.egg to c:\workingdir\aci-learning-labs-code-samples\venv\lib\site-packages

  File "c:\workingdir\aci-learning-labs-code-samples\venv\lib\site-packages\acicobra-3.0_1k-py2.7.egg\cobra\mit\meta.py", line 82

    self.writeAccessMask = 0L

                            ^

SyntaxError: invalid syntax

acicobra 3.0-1k is already the active version in easy-install.pth

Installed c:\workingdir\aci-learning-labs-code-samples\venv\lib\site-packages\acicobra-3.0_1k-py2.7.egg

Processing dependencies for acicobra===3.0-1k

Searching for acicobra===3.0-1k

Reading https://pypi.org/simple/acicobra/

Couldn't find index page for 'acicobra' (maybe misspelled?)

Scanning index of all packages (this may take a while)

Reading https://pypi.org/simple/

No local packages or working download links found for acicobra===3.0-1k

error: Could not find suitable distribution for Requirement.parse('acicobra===3.0-1k')

(venv) C:\workingdir\aci-learning-labs-code-samples\downloads>easy_install -Z acicobra

Searching for acicobra

Reading https://pypi.org/simple/acicobra/

Couldn't find index page for 'acicobra' (maybe misspelled?)

Scanning index of all packages (this may take a while)

Reading https://pypi.org/simple/

No local packages or working download links found for acicobra

error: Could not find suitable distribution for Requirement.parse('acicobra')

(venv) C:\workingdir\aci-learning-labs-code-samples\downloads>easy_install -Z acimodel-3.0_1k-py2.7.egg

Processing acimodel-3.0_1k-py2.7.egg

creating c:\workingdir\aci-learning-labs-code-samples\venv\lib\site-packages\acimodel-3.0_1k-py2.7.egg

Extracting acimodel-3.0_1k-py2.7.egg to c:\workingdir\aci-learning-labs-code-samples\venv\lib\site-packages

Adding acimodel 3.0-1k to easy-install.pth file

Installed c:\workingdir\aci-learning-labs-code-samples\venv\lib\site-packages\acimodel-3.0_1k-py2.7.egg

Processing dependencies for acimodel===3.0-1k

Searching for acimodel===3.0-1k

Reading https://pypi.org/simple/acimodel/

Couldn't find index page for 'acimodel' (maybe misspelled?)

Scanning index of all packages (this may take a while)

Reading https://pypi.org/simple/

No local packages or working download links found for acimodel===3.0-1k

error: Could not find suitable distribution for Requirement.parse('acimodel===3.0-1k')

(venv) C:\workingdir\aci-learning-labs-code-samples\downloads>pip freeze

acicobra===3.0-1k

acimodel===3.0-1k

acitoolkit==0.4

arya==1.1.5

asn1crypto==0.24.0

certifi==2018.4.16

cffi==1.11.5

chardet==3.0.4

click==6.7

cryptography==2.2.2

deepdiff==3.3.0

dominate==2.3.1

flask==1.0.2

flask-admin==1.5.1

flask-bootstrap==3.3.7.1

flask-cors==3.0.4

flask-httpauth==3.2.3

flask-sqlalchemy==2.3.2

flask-wtf==0.14.2

gitdb2==2.0.3

gitpython==2.1.10

graphviz==0.8.3

idna==2.6

ipaddress==1.0.22

itsdangerous==0.24

jinja2==2.10

jsonpickle==0.9.6

jsonschema==2.6.0

markupsafe==1.0

py-radix==0.10.0

pycparser==2.18

pymysql==0.8.1

requests==2.18.4

six==1.11.0

smmap2==2.0.3

sqlalchemy==1.2.7

tabulate==0.8.2

urllib3==1.22

visitor==0.1.3

websocket-client==0.47.0

werkzeug==0.14.1

wtforms==2.1

####################################################

Anyone who can help with this will be my new hero!!

Thanks,

-Pete

Everyone's tags (4)
3 REPLIES 3
Beginner

Re: ACI Programmability Options- Devnet Lab- Stuck on Step 1 :(

Hi Peter,

Did you solve the issue by yourself? i have the same problem except that i'm using macos.

Thanks,

Leo

Everyone's tags (2)
Cisco Employee

Re: ACI Programmability Options- Devnet Lab- Stuck on Step 1 :(

Leo, what part are you stuck with please - can you share the error you are seeing? You can share this issue with us in the devnet webex team space for a quicker reply should you need https://developer.cisco.com/site/spark-chat/

 

Cheers!

Beginner

Re: ACI Programmability Options- Devnet Lab- Stuck on Step 1 :(

i will post in the webex spark chat, but i got an error when i run the baseline.py script, same as the original post.

 

(py3-venv) Leos-MacBook-Pro:apic_fabric_setup leoespinosa$ python baseline.py

Traceback (most recent call last):

  File "baseline.py", line 11, in <module>

    import startup_script

  File "/Users/leoespinosa/python-projects/003/aci-toolkit/aci-learning-labs-code-samples/apic_fabric_setup/startup_script.py", line 3, in <module>

    import cobra.mit.access

  File "/Users/leoespinosa/py3-venv/lib/python3.7/site-packages/acicobra-3.0_1k-py2.7.egg/cobra/mit/__init__.py", line 2, in <module>

    from ._mit import Mit

  File "/Users/leoespinosa/py3-venv/lib/python3.7/site-packages/acicobra-3.0_1k-py2.7.egg/cobra/mit/_mit.py", line 3, in <module>

    from .naming import Dn

  File "/Users/leoespinosa/py3-venv/lib/python3.7/site-packages/acicobra-3.0_1k-py2.7.egg/cobra/mit/naming.py", line 4, in <module>

    from cobra.mit.meta import ClassLoader

  File "/Users/leoespinosa/py3-venv/lib/python3.7/site-packages/acicobra-3.0_1k-py2.7.egg/cobra/mit/meta.py", line 82

    self.writeAccessMask = 0L

                                       ^

 

 

Content for Community-Ad
August's Community Spotlight Awards